Subject: Re: [PATCH v3 net-next 6/8] lan743x: Add power management support

From: Andrew Lunn <[email-masked]>
Date: Thu, 19 Jul 2018 00:43:57 +0200

> Hi Andrew,

> I assumed that "supported" means that it is supported by both the phy and mac driver, which is why I used the AND operator.
> Am I mistaken? Is WAKE_MAGICSECURE a special case not requiring mac driver support?

It depends on the hardware designs, but in some designs, the PHY can
do WOL, without the MAC involved. When a WoL condition happens, it
triggers an interrupt, or blinks an LED which is also connected to the
power supply etc. And if the PHY is doing WoL, you can shut down the
MAC, save more power.

Look at some of the PHY drivers, at803x, dp83822, dp83tc811, marvell,
and mscc all support some sort of WoL.

Ideally, you want to offer the superset of both PHY WoL and MAC WoL.

    Andrew